# logging_agent_app
## 日本語
Ubuntuベースのアプリで、`rsyslog`をエージェントとして使用し、システムログを`fluentd`に転送します。

これは例として、システムログを処理・転送するために`fluentd`サーバーにシステムログを転送するための`rsyslogd`の設定方法を示しています。例えば、OpenSearchなどにログを転送できます。

重要な部分は、`rsyslog`のインストールと`/etc/rsyslog.conf`での設定です。デーモンは`rsyslogd`コマンドで開始する必要があり、これは`entrypoint.sh`ファイルに記載されています。その後、Pythonスクリプトからダミーのシステムログが生成されます。

`fluentd`サーバーとポートは`/etc/rsyslog.conf`で定義する必要があります。

## 実行環境
- cpu
- docker

## 実行方法
### 1: Dockerイメージのビルド

```bash
docker build -t logging_agent_app .

2: スクリプトの実行
```bash
docker run --rm logging_agent_app
```
## English

App, based on Ubuntu, that forwards system logs to `fluentd` using `rsyslog` as the agent.

This is meant as an example, showing how to configure `rsyslogd` to forward system logs to a `fluentd` server that can process and forward the logs elsewhere, such as OpenSearch.

The important parts are the installation of `rsyslog` and its configuration in `/etc/rsyslog.conf`. The daemon needs to be started with the command `rsyslogd`, this can be seen in `entrypoint.sh` file. Subsequently, dummy system logs are generated from a python script.

The `fluentd` server and port need to be defined in `/etc/rsyslog.conf`.

## Running environment
- cpu
- docker

## How to run
### 1: Build docker image

```bash
docker build -t logging_agent_app .
```

### 2: Run scripts
```bash
docker run --rm logging_agent_app
```
